class NullObjectMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Obiekt pusty, czujnik pojazdu");

        var engineSensor = VehicleSensorsProvider.getSenorByType("silnik");
        var transmissionSensor = VehicleSensorsProvider.getSenorByType("skrzynia biegów");
        System.out.println("Czujnik silnika: " + engineSensor);
        System.out.println("Czujnik skrzyni biegów: " + transmissionSensor);
    }
}
